> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 取得通話摘要

> 傳回一筆 API 可見通話中具有獨立修訂版本的摘要結果。處理中、無法提供，以及處理已耗盡，都是正常的 HTTP 200 結果狀態。每個回應都包含 Brightalk-Version 與 X-Request-Id；受到速率限制的回應還會提供實際套用之配額群組的計數器。



## OpenAPI

````yaml /openapi/openapi.zh-Hant.yaml get /calls/{call_id}/summary
openapi: 3.1.0
info:
  title: Brightalk 公開 API
  version: '2026-07-16'
  description: 用於 AI 通話、批次撥號與儀表板管理之自動化定義的伺服器對伺服器 REST API。
  license:
    name: Brightalk API Terms
    identifier: LicenseRef-Brightalk-API
servers:
  - url: https://api.brightalk.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Agents
    description: 符合 API 使用資格且由儀表板管理的 AI 語音代理。
  - name: 自動化
    description: 由儀表板管理的自動化摘要。
  - name: Contacts
    description: 組織的聯絡人與外部識別。
  - name: Calls
    description: 立即執行的非同步 AI 通話及其純量結果。
  - name: 批次撥號
    description: 建立、排程及控制批次撥號，並查詢彙總狀態。
  - name: 自動化執行
    description: 建立及控制單一聯絡人的自動化執行。
paths:
  /calls/{call_id}/summary:
    get:
      tags:
        - Calls
      summary: 取得通話摘要
      description: >-
        傳回一筆 API 可見通話中具有獨立修訂版本的摘要結果。處理中、無法提供，以及處理已耗盡，都是正常的 HTTP 200 結果狀態。每個回應都包含
        Brightalk-Version 與 X-Request-Id；受到速率限制的回應還會提供實際套用之配額群組的計數器。
      operationId: getCallSummary
      parameters:
        - $ref: '#/components/parameters/BrightalkVersion'
        - $ref: '#/components/parameters/XRequestId'
        - $ref: '#/components/parameters/CallIdPath'
      responses:
        '200':
          description: 已傳回目前的摘要結果，包括正常的處理中狀態。
          headers:
            Brightalk-Version:
              $ref: '#/components/headers/Brightalk-Version'
            X-Request-Id:
              $ref: '#/components/headers/X-Request-Id'
            RateLimit-Limit:
              $ref: '#/components/headers/RateLimit-Limit'
            RateLimit-Remaining:
              $ref: '#/components/headers/RateLimit-Remaining'
            RateLimit-Reset:
              $ref: '#/components/headers/RateLimit-Reset'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallSummary'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalError'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl --request GET
            'https://api.brightalk.ai/calls/11111111-1111-4111-8111-111111111111/summary'
            \
              --header "Authorization: Bearer $BRIGHTALK_API_KEY" \
              --header "Brightalk-Version: 2026-07-16"
        - lang: javascript
          label: JavaScript
          source: >-
            const response = await
            fetch("https://api.brightalk.ai/calls/11111111-1111-4111-8111-111111111111/summary",
            {
              method: "GET",
              headers: {
                Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
                "Brightalk-Version": "2026-07-16",
              },
            });

            console.log(response.status, await response.json());
        - lang: python
          label: Python
          source: |-
            import os
            import requests

            response = requests.request(
                "GET",
                "https://api.brightalk.ai/calls/11111111-1111-4111-8111-111111111111/summary",
                headers={
                "Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
                "Brightalk-Version": "2026-07-16",
                },
            )
            print(response.status_code, response.json())
components:
  parameters:
    BrightalkVersion:
      name: Brightalk-Version
      in: header
      required: false
      description: 選擇以日期為基礎的 API 版本。省略時會使用組織固定的預設版本。
      schema:
        type: string
        const: '2026-07-16'
        default: '2026-07-16'
    XRequestId:
      name: X-Request-Id
      in: header
      required: false
      description: 由呼叫端產生且符合 [A-Za-z0-9._:-]{1,64} 的關聯值。無效值會被取代。
      schema:
        type: string
        pattern: ^[A-Za-z0-9._:-]{1,64}$
        maxLength: 64
    CallIdPath:
      name: call_id
      in: path
      required: true
      description: 不透明的通話識別碼。
      schema:
        type: string
        format: uuid
        minLength: 1
        maxLength: 255
        description: 不透明的資源識別碼。
        example: 11111111-1111-4111-8111-111111111111
  headers:
    Brightalk-Version:
      description: The date-based version applied to the request.
      required: true
      schema:
        type: string
        const: '2026-07-16'
    X-Request-Id:
      description: The accepted caller correlation value or a server-generated replacement.
      required: true
      schema:
        type: string
        pattern: ^[A-Za-z0-9._:-]{1,64}$
    RateLimit-Limit:
      description: The effective request allowance for the selected bucket.
      schema:
        type: integer
        minimum: 1
    RateLimit-Remaining:
      description: The nonnegative number of requests remaining in the selected bucket.
      schema:
        type: integer
        minimum: 0
    RateLimit-Reset:
      description: >-
        A nonnegative integer number of delta-seconds from response generation
        until the effective bucket resets; never an epoch timestamp.
      schema:
        type: integer
        minimum: 0
    Allow:
      description: A comma-separated list of methods allowed on the known path.
      schema:
        type: string
        example: GET, POST
    Retry-After:
      description: >-
        A nonnegative integer number of delta-seconds to wait before retrying;
        never an epoch timestamp.
      schema:
        type: integer
        minimum: 0
  schemas:
    CallSummary:
      description: 具有獨立修訂版本的通話摘要結果。較高的 revision 表示清理後的端點內容已變更；相同內容的重投影會保留目前 revision。
      oneOf:
        - type: object
          additionalProperties: false
          description: 正常處理中；請在文件指定的間隔後再次輪詢。
          required:
            - object
            - schema_version
            - call_id
            - status
            - revision
            - summary
            - reason
            - generated_at
            - poll_after_seconds
          properties:
            object:
              type: string
              const: call_summary
            schema_version:
              type: string
              const: '2026-07-28'
            call_id:
              type: string
              format: uuid
              minLength: 1
              maxLength: 255
            status:
              type: string
              const: processing
            revision:
              type: integer
              const: 0
            summary:
              type: 'null'
            reason:
              type: 'null'
            generated_at:
              type: 'null'
            poll_after_seconds:
              type: integer
              const: 5
        - type: object
          additionalProperties: false
          description: 此修訂版本的摘要內容已就緒。
          required:
            - object
            - schema_version
            - call_id
            - status
            - revision
            - summary
            - reason
            - generated_at
            - poll_after_seconds
          properties:
            object:
              type: string
              const: call_summary
            schema_version:
              type: string
              const: '2026-07-28'
            call_id:
              type: string
              format: uuid
              minLength: 1
              maxLength: 255
            status:
              type: string
              const: ready
            revision:
              type: integer
              minimum: 1
            summary:
              type: string
              minLength: 1
              maxLength: 4000
            reason:
              type: 'null'
            generated_at:
              type: string
              format: date-time
            poll_after_seconds:
              type: 'null'
        - type: object
          additionalProperties: false
          description: 此通話無法產生摘要；請查看穩定的 reason。
          required:
            - object
            - schema_version
            - call_id
            - status
            - revision
            - summary
            - reason
            - generated_at
            - poll_after_seconds
          properties:
            object:
              type: string
              const: call_summary
            schema_version:
              type: string
              const: '2026-07-28'
            call_id:
              type: string
              format: uuid
              minLength: 1
              maxLength: 255
            status:
              type: string
              const: unavailable
            revision:
              type: integer
              minimum: 1
            summary:
              type: 'null'
            reason:
              $ref: '#/components/schemas/CallResultUnavailableReason'
            generated_at:
              type: 'null'
            poll_after_seconds:
              type: 'null'
        - type: object
          additionalProperties: false
          description: 安全摘要處理已耗盡。
          required:
            - object
            - schema_version
            - call_id
            - status
            - revision
            - summary
            - reason
            - generated_at
            - poll_after_seconds
          properties:
            object:
              type: string
              const: call_summary
            schema_version:
              type: string
              const: '2026-07-28'
            call_id:
              type: string
              format: uuid
              minLength: 1
              maxLength: 255
            status:
              type: string
              const: failed
            revision:
              type: integer
              minimum: 1
            summary:
              type: 'null'
            reason:
              type: string
              const: processing_failed
            generated_at:
              type: 'null'
            poll_after_seconds:
              type: 'null'
    CallResultUnavailableReason:
      type: string
      description: >-
        結果無法提供的穩定原因。call_not_connected 表示通話從未接通；no_usable_audio
        表示沒有可安全使用的音訊來源；no_speech 表示未偵測到可用對話；not_retained 表示內容已不再保留。
      enum:
        - call_not_connected
        - no_usable_audio
        - no_speech
        - not_retained
    ErrorEnvelope:
      type: object
      additionalProperties: false
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      additionalProperties: false
      properties:
        code:
          type: string
          enum:
            - authentication_required
            - invalid_api_key
            - api_key_expired
            - organization_not_enabled
            - insufficient_scope
            - unsupported_version
            - validation_error
            - invalid_json
            - resource_not_found
            - resource_state_conflict
            - method_not_allowed
            - request_too_large
            - unsupported_destination
            - contact_identity_conflict
            - idempotency_key_required
            - idempotency_conflict
            - idempotency_in_progress
            - duplicate_active_run
            - rate_limit_exceeded
            - recipient_blocked_by_policy
            - internal_error
          example: validation_error
        message:
          type: string
          example: The request could not be validated.
        request_id:
          type: string
          pattern: ^[A-Za-z0-9._:-]{1,64}$
          example: req_demo_001
        details:
          $ref: '#/components/schemas/ErrorDetails'
      required:
        - code
        - message
        - request_id
    ErrorDetails:
      type: object
      additionalProperties: false
      properties:
        fields:
          type: array
          maxItems: 50
          items:
            $ref: '#/components/schemas/ErrorField'
        truncated:
          type: boolean
          const: true
        supported_versions:
          type: array
          items:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
        existing_run_id:
          type: string
          minLength: 1
          maxLength: 255
          description: 不透明的資源識別碼。
          example: run_demo_001
    ErrorField:
      type: object
      additionalProperties: false
      properties:
        path:
          type: string
          example: recipient.phone_number
        code:
          type: string
          example: invalid_e164
      required:
        - path
        - code
  responses:
    BadRequest:
      description: 版本、請求、查詢或與狀態無關的目的地驗證失敗。
      headers:
        Brightalk-Version:
          $ref: '#/components/headers/Brightalk-Version'
        X-Request-Id:
          $ref: '#/components/headers/X-Request-Id'
        RateLimit-Limit:
          $ref: '#/components/headers/RateLimit-Limit'
        RateLimit-Remaining:
          $ref: '#/components/headers/RateLimit-Remaining'
        RateLimit-Reset:
          $ref: '#/components/headers/RateLimit-Reset'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            validationError:
              value:
                error:
                  code: validation_error
                  message: The request could not be validated.
                  request_id: req_demo_001
                  details:
                    fields:
                      - path: recipient.phone_number
                        code: invalid_e164
            unsupportedVersion:
              value:
                error:
                  code: unsupported_version
                  message: The requested API version is not supported.
                  request_id: req_demo_001
                  details:
                    supported_versions:
                      - '2026-07-16'
            unsupportedDestination:
              value:
                error:
                  code: unsupported_destination
                  message: The destination is not supported.
                  request_id: req_demo_001
    Unauthorized:
      description: 身分驗證失敗。
      headers:
        Brightalk-Version:
          $ref: '#/components/headers/Brightalk-Version'
        X-Request-Id:
          $ref: '#/components/headers/X-Request-Id'
        RateLimit-Limit:
          $ref: '#/components/headers/RateLimit-Limit'
        RateLimit-Remaining:
          $ref: '#/components/headers/RateLimit-Remaining'
        RateLimit-Reset:
          $ref: '#/components/headers/RateLimit-Reset'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            missingBearer:
              value:
                error:
                  code: authentication_required
                  message: Authentication is required.
                  request_id: req_demo_001
            malformedBearer:
              value:
                error:
                  code: authentication_required
                  message: Authentication is required.
                  request_id: req_demo_001
            unknownOrRevokedCredential:
              value:
                error:
                  code: invalid_api_key
                  message: The API key is invalid.
                  request_id: req_demo_001
            expiredCredential:
              value:
                error:
                  code: api_key_expired
                  message: The API key has expired.
                  request_id: req_demo_001
    Forbidden:
      description: 此請求未獲授權執行這項 API 操作。
      headers:
        Brightalk-Version:
          $ref: '#/components/headers/Brightalk-Version'
        X-Request-Id:
          $ref: '#/components/headers/X-Request-Id'
        RateLimit-Limit:
          $ref: '#/components/headers/RateLimit-Limit'
        RateLimit-Remaining:
          $ref: '#/components/headers/RateLimit-Remaining'
        RateLimit-Reset:
          $ref: '#/components/headers/RateLimit-Reset'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            organizationNotEnabled:
              value:
                error:
                  code: organization_not_enabled
                  message: The organization is not enabled for the Public API.
                  request_id: req_demo_001
            insufficientScope:
              value:
                error:
                  code: insufficient_scope
                  message: The API key does not have the required scope.
                  request_id: req_demo_001
    NotFound:
      description: 資源不存在，或此組織無法查看該資源。
      headers:
        Brightalk-Version:
          $ref: '#/components/headers/Brightalk-Version'
        X-Request-Id:
          $ref: '#/components/headers/X-Request-Id'
        RateLimit-Limit:
          $ref: '#/components/headers/RateLimit-Limit'
        RateLimit-Remaining:
          $ref: '#/components/headers/RateLimit-Remaining'
        RateLimit-Reset:
          $ref: '#/components/headers/RateLimit-Reset'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            resourceNotFound:
              value:
                error:
                  code: resource_not_found
                  message: The requested resource was not found.
                  request_id: req_demo_001
    MethodNotAllowed:
      description: 路徑已知，但不允許使用此方法。
      headers:
        Brightalk-Version:
          $ref: '#/components/headers/Brightalk-Version'
        X-Request-Id:
          $ref: '#/components/headers/X-Request-Id'
        RateLimit-Limit:
          $ref: '#/components/headers/RateLimit-Limit'
        RateLimit-Remaining:
          $ref: '#/components/headers/RateLimit-Remaining'
        RateLimit-Reset:
          $ref: '#/components/headers/RateLimit-Reset'
        Allow:
          $ref: '#/components/headers/Allow'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            methodNotAllowed:
              value:
                error:
                  code: method_not_allowed
                  message: The method is not allowed for this resource.
                  request_id: req_demo_001
    TooManyRequests:
      description: 所選的請求配額群組已用盡。
      headers:
        Brightalk-Version:
          $ref: '#/components/headers/Brightalk-Version'
        X-Request-Id:
          $ref: '#/components/headers/X-Request-Id'
        RateLimit-Limit:
          $ref: '#/components/headers/RateLimit-Limit'
        RateLimit-Remaining:
          $ref: '#/components/headers/RateLimit-Remaining'
        RateLimit-Reset:
          $ref: '#/components/headers/RateLimit-Reset'
        Retry-After:
          $ref: '#/components/headers/Retry-After'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            rateLimitExceeded:
              value:
                error:
                  code: rate_limit_exceeded
                  message: The rate limit has been exceeded.
                  request_id: req_demo_001
    InternalError:
      description: 無法安全完成請求。
      headers:
        Brightalk-Version:
          $ref: '#/components/headers/Brightalk-Version'
        X-Request-Id:
          $ref: '#/components/headers/X-Request-Id'
        RateLimit-Limit:
          $ref: '#/components/headers/RateLimit-Limit'
        RateLimit-Remaining:
          $ref: '#/components/headers/RateLimit-Remaining'
        RateLimit-Reset:
          $ref: '#/components/headers/RateLimit-Reset'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            internalError:
              value:
                error:
                  code: internal_error
                  message: An unexpected error occurred.
                  request_id: req_demo_001
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Brightalk API key
      description: Use a server-side Brightalk API key in the Authorization header.

````